#include <iostream>

using namespace std;

class Complex {
  private:
    double re, im;

  public:
    Complex (double re_=0, double im_=0) : re(re_), im(im_) {}

    double real() const {
      return re;
    }
    double imag() const {
      return im;
    }
};

int main() {
  Complex z1{1, 2};
  const Complex z2{2, 3};

  cout <<    "Re z1 = " << z1.real()
       << "   Im z1 = " << z1.imag() << endl;
  cout <<    "Re z2 = " << z2.real()
       << "   Im z2 = " << z2.imag() << endl;

  return 0;
}
